## org.eclipse.wst.ws.service.policy.ui
Class ServicePolicyActivatorUI

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.wst.ws.service.policy.ui.ServicePolicyActivatorUI

All Implemented Interfaces:
  org.eclipse.ui.IStartup, org.osgi.framework.BundleActivator

    public class ServicePolicyActivatorUI

extends org.eclipse.core.runtime.Plugin
implements org.eclipse.ui.IStartup

The activator class controls the plug-in life cycle

Field Summary
`static java.lang.String` `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`ServicePolicyActivatorUI()` The constructor

Method Summary
`void` `earlyStartup()` Called by Eclipse when it starts up.
`static ServicePolicyActivatorUI` `getDefault()` Returns the shared instance
`static org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor(java.lang.String name)` Returns an image descriptor for the named resource as relative to the plugin install location.
`static void` `logError(java.lang.String message, java.lang.Throwable exc)` Logs error message for this plugin.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### ServicePolicyActivatorUI

    public ServicePolicyActivatorUI()

  The constructor

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(java.lang.String name)

  Returns an image descriptor for the named resource as relative to the plugin install location.

  Returns:
    An image descriptor, possibly null.

### getDefault

    public static ServicePolicyActivatorUI getDefault()

  Returns the shared instance

  Returns:
    the shared instance

### logError

    public static void logError(java.lang.String message,
                                java.lang.Throwable exc)

  Logs error message for this plugin.

  Parameters:
    `message` -
    `exc` -

### earlyStartup

    public void earlyStartup()

  Called by Eclipse when it starts up.

  Specified by:
    `earlyStartup` in interface `org.eclipse.ui.IStartup`